## wims 4.05b~dfsg1

=== debian/changelog ===
wims (1:4.05b~dfsg1-8) unstable; urgency=low

  * modified wims.postinst, the symlink in /etc/apache2/conf.d is created
    only when this directory exists. Closes: #669769

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 13 Jul 2013 17:00:32 +0200

wims (1:4.05b~dfsg1-7) unstable; urgency=low

  * rebuilt the package with pdebuild, thanks to Julien Cristau
    Closes: #713850

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 30 Jun 2013 20:50:43 +0200

wims (1:4.05b~dfsg1-6) unstable; urgency=low

  * recoded scripts chemeq, chemeq_l, chemeq_n, and chemeq_error to
    use Perl as a script language, and enhance portability.
  * added a dependency on cpp to allow mkindex to work fully.
    Closes: #714522

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 30 Jun 2013 15:05:42 +0200

wims (1:4.05b~dfsg1-5) unstable; urgency=low

  * repaired the erroneous double "closes" statement below: Closes: #713850
  * restored files var.proc for templates/oef.{es|cn|fr}
  * assigned a bash SHELL to trusted programs chemeq, chemeq_l, chemeq_n,
    chemeq_error: this prevents bugs due to shells which modify character
    sequences like \r in \rightarrow and \f in \frac for example.
  * lowered the dependency request on chemeq : the version 2.9 is sufficient.

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 23 Jun 2013 22:59:50 +0200

wims (1:4.05b~dfsg1-4) unstable; urgency=low

  * modified the installation system, to take in account debhelper's
    advantages. Created a set of package.install and package.manpages files.
    Closes: #713846 #713850
  * upgraded debian/compat and debhelper build-dependency to 9
  * defined Replaces: and Breaks: stances for wims-java-applets of
    previous versions, since part of the files of that package are
    owned by the package wims.
    See http://www.debian.org/doc/debian-policy/ch-relationships.html#s-replaces
  * removed the suggestion of wims-extra package
  * removed the Provides: stance for wims-modules-*
  * upgraded the dependency on chemeq (now >= 2.11)

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 22 Jun 2013 19:37:08 +0200

wims (1:4.05b~dfsg1-3) unstable; urgency=low

  * fixed the slib chemeq_compare which allowed cheating
  * added a dependency on chemeq >= 2.10
  * modified wims/public_html/chemeq_l to use the new feature in chemeq-2.10

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 22 Jun 2013 15:46:50 +0200

wims (1:4.05b~dfsg1-2) unstable; urgency=low

  * fixed the postinst/postrm scripts in order to comply with both
    apache 2.4 and 2.2

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 17 Jun 2013 09:33:05 +0200

wims (1:4.05b~dfsg1-1) unstable; urgency=low

  * upgraded to the last upstream release
  * fixed a bug in wims/public_html/chemeq_l which ate "\r"
  * removed embedded libraries related to jquery and updated dependencies
    accordingly.
  * made a debian/watch file
  * made a debian/rules file based on DH.

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 17 Jun 2013 04:49:39 +0200

wims (1:4.04~dfsg2-3) unstable; urgency=low

  * fixed a syntax error in wims.postinst. Closes: #712133
  * applied Adam Borowski's fix ro comply with the new syntax of 'find'
    Closes: #711710
  * modified the postinst script to comply with Apache 2.4. Closes: #669769
  * added compilation routines for java source files under 
    wimssrc/Misc/applets/ not belonging to Joke Evers

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 12 Jun 2013 22:33:52 +0200

=== debian/control ===
Source: wims
Section: web
Priority: optional
Maintainer: Georges Khaznadar <georgesk@debian.org>
Build-Depends: quilt, debhelper (>= 9.0.0), texlive-base, po-debconf, 
 libgd2-xpm-dev|libgd2-noxpm-dev, autoconf2.59|autoconf, automake1.9|automake,
 bison, flex, apache2-dev,
 openjdk-6-jdk [alpha amd64 armel i386 ia64 mips mipsel powerpc s390 sparc],
 ant [alpha amd64 armel i386 ia64 mips mipsel powerpc s390 sparc]
Standards-Version: 3.9.3

Package: wims
Architecture: any
Pre-Depends: adduser
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 imagemagick (>= 4:5.4.4.5-1)|graphicsmagick-imagemagick-compat, 
 pari-gp, gnuplot, maxima (>=5.26.0), maxima-share,
 octave3.0|octave, fortunes, cpp,
 texlive-base, texlive-latex-base, texlive-fonts-recommended, 
 mailutils| mailx, units-filter (>=3.5), chemeq (>=2.9), graphviz,
 libjs-prototype, libjs-mootools, libjs-edit-area,
 libjs-jquery, libjs-jquery-metadata, ldap-utils,
 wims-modules (= ${source:Version})
Recommends: ${misc:Recommends},
 yacas, gap, wims-help, wims-java-applets (= ${source:Version})
Replaces: wims-java-applets (<< 4.05b~dfsg1-4)
Breaks: wims-java-applets (<< 4.05b~dfsg1-4)
Description: server for educational content: courses, exercises, and exams
 The WWW Interactive Multipurpose Server is an educational platform
 originally developed for mathematics but now also supporting subjects such
 as physics, chemistry, biology, and languages.
 .
 WIMS features a rich set of resources and exercises either for
 autodidactical use or for training classes, including:
 .
  * exercises with automatic feedback and correction, allowing the
    learners to work at their own pace;
  * interactive exercises with randomly assigned data, allowing the
    learners to work on the same type of exercise but with different
    data and as often as they wish;
  * exercises with an automatic scoring system, which enhances learner
    motivation;
  * user-friendly graphics and calculation tools;
  * courses and documents with hyperlinks to the exercise pool;
    examples in the courses can be made random, so the student can get
    more than one instance of an illustration for tricky concepts;
  * support for exams with pre-published contents. As each individual
    exam will have randomly chosen data, training is possible but
    writing each response in advance is not.
 .
 This package contains the WIMS FastCGI server, serving Open Exercise
 Format (OEF) documents. OEF is a very high-level language which
 allows authors to focus on pedagogical issues.

Package: wims-modules
Architecture: all
Depends: ${misc:Depends}
Description: minimal set of modules used by WIMS
 WIMS uses modules to implement every user interface beyond its main page,
 including administrative tasks, help, mathematic tools, libraries, and a
 few interactive exercises.
 .
 To get the thousands of exercises which give WIMS its power, consider
 installing the recommended package wims-extra-all (or other packages
 which provide wims-extra).
 .
 Other educational materials can be downloaded outside of the Debian
 system by automated updates. See http://wimsedu.info

Package: wims-java-applets
Architecture: alpha amd64 armel i386 ia64 mips mipsel powerpc s390 sparc
Depends: ${misc:Depends}
Description: applets for modules used by WIMS
 WIMS uses modules to implement every user interface beyond its main page.
 Some of them depend on Java applets; this package provides the collection
 of free applets which are maintained upstream.
 .
 Some interesting applets like Jmol are missing, since they still cannot
 be built from their source with free/libre compilers. You can get them
 from their upstream developers. 

Package: flydraw
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 imagemagick (>= 4:5.4.4.5-1)|graphicsmagick-imagemagick-compat
Description: command-line drawing tool
 flydraw is a drawing tool based on an interpreter which parses a
 language featuring rich graphic primitives; it uses libgd to output
 GIF, JPEG, or PNG files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with apache2

override_dh_auto_configure:
	cd wims/src; autoreconf && ./configure --without-units --without-chemeq --without-wimsd CFLAGS="-g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Werror=format-security" CPPFLAGS="-D_FORTIFY_SOURCE=2" CXXFLAGS="-g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Werror=format-security" FFLAGS="-g -O2" LDFLAGS="-Wl,-z,relro"


DESTDIR=$(CURDIR)/debian/tmp

override_dh_auto_install:
	# for some reason, dh_installdirs does not work as expected !
	mkdir -p $(DESTDIR)
	for d in $$(cat debian/*.dirs); do \
	  if echo $$d | grep -q "#"; then \
	    true; \
	  else \
	    mkdir -p $(DESTDIR)/$$d; \
	  fi; \
	done
	$(MAKE) install DESTDIR=$(DESTDIR)

## wims 4.07a~dfsg1

=== wims/src/Misc/applets/Makefile ===
PACKAGES   = $(shell ls -Fd *| grep /| tr -d /)
HOME_WIMS  = ../../..
APPLET_DIR = public_html/java
INSTALL_DIR = $(HOME_WIMS)/$(APPLET_DIR)
LOGFILE = $(shell pwd)/log.txt

all:
	@echo "Build date: $$(date)" > $(LOGFILE)
	@echo "+--------------------------------+"
	@echo "| Compiling applets. See log.txt |"
	@echo "+--------------------------------+"
	@echo $(PACKAGES)
	@for d in $(PACKAGES) ; do ( \
	  echo "============== $$d ==============" >> $(LOGFILE);  \
	  cd $$d; \
	  ant -v -l $$d.log ;  \
	  j=`find dist -iname "*.jar" 2>/dev/null`;  \
	  if [ $$j ] ; then  \
	    echo "OK: compiled $$d/$$j" >> $(LOGFILE);  \
	  else  \
	    echo "NOK for package $$d" >> $(LOGFILE);  \
	  fi; ); \
	done

clean:
	rm -rf */dist */build log.txt *~

install:
	for d in $(PACKAGES) ; do \
	  j=`find $$d/dist -iname "*.jar" 2>/dev/null`; \
	  mkdir -p $(INSTALL_DIR)/$$d;\
	  if [ $$j ] ; then  \
	    install -m 644 $$j  $(INSTALL_DIR)/$$d; \
	  fi; \
	done

.PHONY: all clean install

=== debian/changelog ===
wims (1:4.07a~dfsg1-7) unstable; urgency=low

  * upgraded the dependency on chemeq; this allows one to display element names
    with a roman font.
  * modified the file wims_mathml.y to allow its compilation by bison-3.0
    Closes: #733369

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 24 Nov 2013 20:44:46 +0100

wims (1:4.07a~dfsg1-5) unstable; urgency=low

  * modified wims.postinst
    + if apache2 is installed but not yet configured, the postinst routine
      will succeed, but send a notification message. (Closes: #730058)
    + applied Alban Browaeys' patch, thanks! (Closes: #729976)

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 23 Nov 2013 15:57:00 +0100

wims (1:4.07a~dfsg1-4) unstable; urgency=low

  * modified wims.postinst (Closes: #728564).
    if wims is installed with no apache2 web service deploied, the
    postinst routine will succeed, but send a notification.

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 17 Nov 2013 20:08:12 +0100

wims (1:4.07a~dfsg1-3) unstable; urgency=low

  * fixed a few bugs which made the package unusable when installed in a
    new Jessie machine.
    - added a command "a2enmod cgi" in wims.postint
    - added a dependency on libabpache2-mod-fcgid
    - fixed an inconsistency of /etc/apache2/conf-available/wims.conf
  * added dependencies to support new features of Wims
    - added a dependency on qrcode
    - added dependencies on libwebservice-validator-*-w3c-perl
  * renumbered files in debian/patches
  * modified the main Makefile to display the status of Java compilations
    and fixed an error in build.xml for ClickTile.java

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 01 Nov 2013 10:21:24 +0100

wims (1:4.07a~dfsg1-2) unstable; urgency=low

  * removed the build-dependency on openjdk-7-jdk in favor of default-jdk,
    which resolves many issues depending on the architecture. Closes: #725996
    by the way: Closes:  #720573

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 16 Oct 2013 15:55:56 +0200

wims (1:4.07a~dfsg1-1) unstable; urgency=low

  * upgraded to the newest upstream version

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 04 Oct 2013 21:07:41 +0200

wims (1:4.06~dfsg1-1) unstable; urgency=low

  * upgraded to the newest upstream version

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 26 Sep 2013 00:19:46 +0200

wims (1:4.05c~dfsg1-1) unstable; urgency=low

  * modified the build-dependency regarding openjdk
  * upgraded Standards-Version to 3.9.4
  * upgraded to the latest upstream version
  * removed patches whose content had been applied upstream
  * adjusted remaining patches to upstream modifications
  * modified files .htaccess to comply with Apache2.4's syntax
  * fixed debian/get-latest-source to erase moved jar files

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 27 Aug 2013 09:48:29 +0200

wims (1:4.05b~dfsg1-9) unstable; urgency=low

  * created the directory /var/lib/wims/public_html/modules/data/images
  * modified the configuration file por Apache. Closes: #717673

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 26 Jul 2013 21:29:54 +0200

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,11 @@
 Build-Depends: quilt, debhelper (>= 9.0.0), texlive-base, po-debconf, 
  libgd2-xpm-dev|libgd2-noxpm-dev, autoconf2.59|autoconf, automake1.9|automake,
  bison, flex, apache2-dev,
- openjdk-6-jdk [alpha amd64 armel i386 ia64 mips mipsel powerpc s390 sparc],
- ant [alpha amd64 armel i386 ia64 mips mipsel powerpc s390 sparc]
-Standards-Version: 3.9.3
+ default-jdk [alpha amd64 armel i386 ia64 mips mipsel powerpc s390 sparc],
+ ant [alpha amd64 armel i386 ia64 mips mipsel powerpc s390 sparc],
+ libapache2-mod-fcgid, qrencode,
+ libwebservice-validator-html-w3c-perl, libwebservice-validator-css-w3c-perl
+Standards-Version: 3.9.4
 
 Package: wims
 Architecture: any
@@ -17,7 +19,7 @@
  pari-gp, gnuplot, maxima (>=5.26.0), maxima-share,
  octave3.0|octave, fortunes, cpp,
  texlive-base, texlive-latex-base, texlive-fonts-recommended, 
- mailutils| mailx, units-filter (>=3.5), chemeq (>=2.9), graphviz,
+ mailutils| mailx, units-filter (>=3.5), chemeq (>=2.12), graphviz,
  libjs-prototype, libjs-mootools, libjs-edit-area,
  libjs-jquery, libjs-jquery-metadata, ldap-utils,
  wims-modules (= ${source:Version})

=== debian/watch ===
version=3
opts=dversionmangle=s/~dfsg\d+$// \
https://sourcesup.cru.fr/frs/?group_id=379 /frs/download.php/[0-9]*/wims-([0-9][.0-9]*[a-z]*).tgz

## wims 4.07a~dfsg1-2~bpo1

=== debian/changelog ===
wims (1:4.07a~dfsg1-2~bpo1-1) wheezy-backports; urgency=low

  * backported the last version to wheezy. Closes: #722642
  * made and adaptation for wheezy backports: removed the build-dependency
    on apache2-dev, the invocation of dh-apache2, restored "Recommends:"
    for apache2, and scripted explicitely Apache's config file install
    into /etc/apache2/conf-available

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 29 Oct 2013 19:32:59 +0100

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,12 @@
 Section: web
 Priority: optional
 Maintainer: Georges Khaznadar <georgesk@debian.org>
-Build-Depends: quilt, debhelper (>= 9.0.0), texlive-base, po-debconf, 
+Build-Depends: quilt, debhelper (>= 7.4.19), texlive-base, po-debconf, 
  libgd2-xpm-dev|libgd2-noxpm-dev, autoconf2.59|autoconf, automake1.9|automake,
- bison, flex, apache2-dev,
+ bison, flex,
  default-jdk [alpha amd64 armel i386 ia64 mips mipsel powerpc s390 sparc],
- ant [alpha amd64 armel i386 ia64 mips mipsel powerpc s390 sparc],
- libapache2-mod-fcgid, qrencode,
- libwebservice-validator-html-w3c-perl, libwebservice-validator-css-w3c-perl
-Standards-Version: 3.9.4
+ ant [alpha amd64 armel i386 ia64 mips mipsel powerpc s390 sparc]
+Standards-Version: 3.9.3
 
 Package: wims
 Architecture: any
@@ -19,14 +17,14 @@
  pari-gp, gnuplot, maxima (>=5.26.0), maxima-share,
  octave3.0|octave, fortunes, cpp,
  texlive-base, texlive-latex-base, texlive-fonts-recommended, 
- mailutils| mailx, units-filter (>=3.5), chemeq (>=2.12), graphviz,
+ mailutils| mailx, units-filter (>=3.5), chemeq (>=2.7), graphviz,
  libjs-prototype, libjs-mootools, libjs-edit-area,
  libjs-jquery, libjs-jquery-metadata, ldap-utils,
  wims-modules (= ${source:Version})
-Recommends: ${misc:Recommends},
- yacas, gap, wims-help, wims-java-applets (= ${source:Version})
-Replaces: wims-java-applets (<< 4.05b~dfsg1-4)
-Breaks: wims-java-applets (<< 4.05b~dfsg1-4)
+Recommends: apache2,
+ yacas, gap, wims-help, wims-java-applets
+Suggests: wims-extra-all|wims-extra
+Provides: wims-modules-fr, wims-modules-es
 Description: server for educational content: courses, exercises, and exams
  The WWW Interactive Multipurpose Server is an educational platform
  originally developed for mathematics but now also supporting subjects such

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@ --with apache2
+	dh $@
 
 override_dh_auto_configure:
 	cd wims/src; autoreconf && ./configure --without-units --without-chemeq --without-wimsd CFLAGS="-g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Werror=format-security" CPPFLAGS="-D_FORTIFY_SOURCE=2" CXXFLAGS="-g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Werror=format-security" FFLAGS="-g -O2" LDFLAGS="-Wl,-z,relro"
@@ -29,3 +29,5 @@
 	  fi; \
 	done
 	$(MAKE) install DESTDIR=$(DESTDIR)
+	# create the direectory conf.d for apache2.2
+	install -d $(CURDIR)/debian/wims/etc/apache2/conf.d

## wims 4.07d~dfsg1

=== debian/changelog ===
wims (1:4.07d~dfsg1-1ubuntu2) wily; urgency=medium

  * No-change upload to rebuild with new libstdc++6 ABI.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 31 Aug 2015 21:49:41 +0200

wims (1:4.07d~dfsg1-1ubuntu1) utopic; urgency=medium

  * Fix link failures with --as-needed.
  * Build using java on every platform.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 08 Sep 2014 12:28:44 +0200

wims (1:4.07d~dfsg1-1) unstable; urgency=medium

  * upgraded to the newest upstream version

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 19 Aug 2014 16:47:41 +0200

wims (1:4.07c~dfsg2-1) unstable; urgency=medium

  * reverted removal of js libraries for dynapi3x and edit_area
  * modified debian/get-latest-source
  * modified README.source
  * modified the management of JS libraries in Makefile

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 25 Jun 2014 15:57:44 +0200

wims (1:4.07c~dfsg1-1) unstable; urgency=medium

  * removed any file related to the obsoleted embedded gd library
  * allowed addresses like knoppix@localhost to be used to create an
    individual class; this is useful for KnoWims live systems.
  * upgraded to the newest upstream release

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 21 Mar 2014 17:47:16 +0100

wims (1:4.07b~dfsg1-1) unstable; urgency=medium

  * upgraded to the newest upstream version
  * changed the build-dependency: automake1.14 becomes just automake
    Closes: #741895
  * cleaned the patch set; many of them became useless because of upstream
    changes.
  * fixed a few inconsistencies in the source of WIMSchem java applet

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 19 Mar 2014 15:49:07 +0100

wims (1:4.07a~dfsg1-8) unstable; urgency=medium

  * upgraded the dependency on automake: 1.9 becomes 1.14. Closes: #741895
  * upgraded Standards-Version to 3.9.5
  * added the directory ${wims_home}/public_html/scripts to the list of
    dirs to be given to wims.

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 06 Jan 2014 18:02:59 +0100

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,14 @@
 Section: web
 Priority: optional
 Maintainer: Georges Khaznadar <georgesk@debian.org>
-Build-Depends: quilt, debhelper (>= 7.4.19), texlive-base, po-debconf, 
- libgd2-xpm-dev|libgd2-noxpm-dev, autoconf2.59|autoconf, automake1.9|automake,
- bison, flex,
- default-jdk [alpha amd64 armel i386 ia64 mips mipsel powerpc s390 sparc],
- ant [alpha amd64 armel i386 ia64 mips mipsel powerpc s390 sparc]
-Standards-Version: 3.9.3
+Build-Depends: quilt, debhelper (>= 9.0.0), texlive-base, po-debconf, 
+ libgd2-xpm-dev|libgd2-noxpm-dev, autoconf2.59|autoconf, automake,
+ bison, flex, apache2-dev,
+ default-jdk,
+ ant,
+ libapache2-mod-fcgid, qrencode,
+ libwebservice-validator-html-w3c-perl, libwebservice-validator-css-w3c-perl
+Standards-Version: 3.9.5
 
 Package: wims
 Architecture: any
@@ -17,14 +19,14 @@
  pari-gp, gnuplot, maxima (>=5.26.0), maxima-share,
  octave3.0|octave, fortunes, cpp,
  texlive-base, texlive-latex-base, texlive-fonts-recommended, 
- mailutils| mailx, units-filter (>=3.5), chemeq (>=2.7), graphviz,
+ mailutils| mailx, units-filter (>=3.5), chemeq (>=2.12), graphviz,
  libjs-prototype, libjs-mootools, libjs-edit-area,
  libjs-jquery, libjs-jquery-metadata, ldap-utils,
  wims-modules (= ${source:Version})
-Recommends: apache2,
- yacas, gap, wims-help, wims-java-applets
-Suggests: wims-extra-all|wims-extra
-Provides: wims-modules-fr, wims-modules-es
+Recommends: ${misc:Recommends},
+ yacas, gap, wims-help, wims-java-applets (= ${source:Version})
+Replaces: wims-java-applets (<< 4.05b~dfsg1-4)
+Breaks: wims-java-applets (<< 4.05b~dfsg1-4)
 Description: server for educational content: courses, exercises, and exams
  The WWW Interactive Multipurpose Server is an educational platform
  originally developed for mathematics but now also supporting subjects such
@@ -68,7 +70,7 @@
  system by automated updates. See http://wimsedu.info
 
 Package: wims-java-applets
-Architecture: alpha amd64 armel i386 ia64 mips mipsel powerpc s390 sparc
+Architecture: any
 Depends: ${misc:Depends}
 Description: applets for modules used by WIMS
  WIMS uses modules to implement every user interface beyond its main page.

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@
+	dh $@ --with apache2
 
 override_dh_auto_configure:
 	cd wims/src; autoreconf && ./configure --without-units --without-chemeq --without-wimsd CFLAGS="-g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Werror=format-security" CPPFLAGS="-D_FORTIFY_SOURCE=2" CXXFLAGS="-g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Werror=format-security" FFLAGS="-g -O2" LDFLAGS="-Wl,-z,relro"
@@ -29,5 +29,7 @@
 	  fi; \
 	done
 	$(MAKE) install DESTDIR=$(DESTDIR)
-	# create the direectory conf.d for apache2.2
-	install -d $(CURDIR)/debian/wims/etc/apache2/conf.d
+	for f in $$(grep -l "deny from all" $$(find $(DESTDIR) -name ".htaccess")); do \
+	  echo "# syntax for Apache2.4" > $$f; \
+	  echo "Require all denied" >> $$f; \
+	done

## wims 4.08~dfsg1

=== debian/changelog ===
wims (1:4.08~dfsg1-1) unstable; urgency=medium

  * upgraded to the newest upstream version
  * updated debian patches accordingly

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 11 Sep 2014 16:43:25 +0200

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Build-Depends: quilt, debhelper (>= 9.0.0), texlive-base, po-debconf, 
  libgd2-xpm-dev|libgd2-noxpm-dev, autoconf2.59|autoconf, automake,
  bison, flex, apache2-dev,
- default-jdk,
- ant,
+ default-jdk [alpha amd64 armel i386 ia64 mips mipsel powerpc s390 sparc],
+ ant [alpha amd64 armel i386 ia64 mips mipsel powerpc s390 sparc],
  libapache2-mod-fcgid, qrencode,
  libwebservice-validator-html-w3c-perl, libwebservice-validator-css-w3c-perl
 Standards-Version: 3.9.5
@@ -70,7 +70,7 @@
  system by automated updates. See http://wimsedu.info
 
 Package: wims-java-applets
-Architecture: any
+Architecture: alpha amd64 armel i386 ia64 mips mipsel powerpc s390 sparc
 Depends: ${misc:Depends}
 Description: applets for modules used by WIMS
  WIMS uses modules to implement every user interface beyond its main page.

## wims 4.11a~dfsg1

=== debian/changelog ===
wims (1:4.11a~dfsg1-2ubuntu2) xenial; urgency=medium

  * debian/patches/link-libm.diff:
    - Refreshed and enabled. Fixes FTBFS on arm64, ppc64el and others.

 -- Artur Rona <ari-tczew@ubuntu.com>  Sat, 02 Jan 2016 17:45:27 +0100

wims (1:4.11a~dfsg1-2ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Build using java on every platform.
  * debian/patches/link-libm.diff:
    + Disable to try build without such change.

 -- Artur Rona <ari-tczew@ubuntu.com>  Sat, 02 Jan 2016 17:18:55 +0100

wims (1:4.11a~dfsg1-2) unstable; urgency=medium

  * fixed the incorrect uglification of js source; just stopped uglifying.
  * removed node-uglify from dependencies

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 25 Nov 2015 17:48:49 +0100

wims (1:4.11a~dfsg1-1) unstable; urgency=medium

  * upgraded to the newest upstream version
  * updated debian patches accordingly
  * updated Standards-Version to 3.9.6
  * updated d/copyright to avoid the lintian warning
    "space-in-std-shortname-in-dep5-copyright"
  * updated the file d/watch to reflect the changes in the forge service
  * modified the file d/get-latest-source : updated the URLs, changed the
    names of uglified javascript code to be removed from JM Evers' directory
  * created a Makefile to compress javascript sources provided by JM Evers
    and modified the top-level Makefile to activate it.
  * added a build-dependency on node-uglify 

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 21 Jan 2015 19:28:21 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: wims
 Section: web
 Priority: optional
-Maintainer: Georges Khaznadar <georgesk@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Georges Khaznadar <georgesk@debian.org>
 Build-Depends: quilt, debhelper (>= 9.0.0), texlive-base, po-debconf, 
  libgd2-xpm-dev|libgd2-noxpm-dev, autoconf2.59|autoconf, automake,
  bison, flex, apache2-dev,
- default-jdk [alpha amd64 armel i386 ia64 mips mipsel powerpc s390 sparc],
- ant [alpha amd64 armel i386 ia64 mips mipsel powerpc s390 sparc],
+ default-jdk,
+ ant,
  libapache2-mod-fcgid, qrencode,
  libwebservice-validator-html-w3c-perl, libwebservice-validator-css-w3c-perl
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 
 Package: wims
 Architecture: any
@@ -70,7 +71,7 @@
  system by automated updates. See http://wimsedu.info
 
 Package: wims-java-applets
-Architecture: alpha amd64 armel i386 ia64 mips mipsel powerpc s390 sparc
+Architecture: any
 Depends: ${misc:Depends}
 Description: applets for modules used by WIMS
  WIMS uses modules to implement every user interface beyond its main page.

=== debian/watch ===
version=3
opts=dversionmangle=s/~dfsg\d+$// \
https://sourcesup.renater.fr/frs/?group_id=379 /frs/download.php/file/[0-9]*/wims-([0-9][.0-9]*[a-z]*).tgz

## wims 4.11c~dfsg1

=== debian/changelog ===
wims (1:4.11c~dfsg1-1ubuntu1) yakkety; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control:
      + Build using java on every platform.
    - debian/patches/link-libm.diff:
      + Fix link failures with --as-needed.

 -- Artur Rona <ari-tczew@ubuntu.com>  Fri, 05 Aug 2016 02:53:02 +0200

wims (1:4.11c~dfsg1-1) unstable; urgency=medium

  * added Adriano Rafael Gomes' po file for language pt_BR
  * upgraded to the new upstream release

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 09 Mar 2016 18:44:29 +0100

wims (1:4.11b~dfsg1-1) unstable; urgency=medium

  * upgraded to the newest upstream version
  * updated debian patches accordingly
  * fixed a few symlinks created by the main Makefile
  * modified postinst scripts to give more files to user wims
  * simplified a little bit the file d/get-latest-source
  * fixed the link to mootools.js

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 16 Jan 2016 17:23:08 +0100

## wims 4.13c~dfsg1

=== debian/changelog ===
wims (1:4.13c~dfsg1-2ubuntu1) artful; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - debian/control:
      + Build using java on every platform.
    - debian/patches/link-libm.diff:
      + Fix link failures with --as-needed.
      (Seems like ubuntu change as package builds fine in debian).

 -- Bhavani Shankar <bhavi@ubuntu.com>  Fri, 05 May 2017 10:16:56 +0530

wims (1:4.13c~dfsg1-2) unstable; urgency=medium

  * Changed the build-dependency on autoconf; Closes: #852367

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 28 Jan 2017 14:26:34 +0100

wims (1:4.13c~dfsg1-1ubuntu1) zesty; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - debian/control:
      + Build using java on every platform.
    - debian/patches/link-libm.diff:
      + Fix link failures with --as-needed.
      (Seems like ubuntu change as package builds fine in debian).

 -- Bhavani Shankar <bhavi@ubuntu.com>  Tue, 10 Jan 2017 16:27:17 +0530

wims (1:4.13c~dfsg1-1) unstable; urgency=medium

  * New upstream release
  * updated d/wims.lintian.overrides, d/source.lintian.overrides
  * beautified ../bower_components/safari_mobile_links/compressed.js
  * removed uglified sources for ASCIIMathML.js and LaTeXMathML.js from
    the source dfsg package, replaced them by symlinks, added a dependency
    on libjs-asciimathml
  * same thing for /public_html/scripts/js/editor/scripts_1/mootools.js
  * added the binary jquery.mb.extruder-2.6.0.zip, and wrote code to
    remove sourceless uglified javascript from the source package, added
    a few lines in the Makefile to deal with this archive. Added a mention
    in debian/copyright.
  * done the same for the library what-input version 3.0.
  * upgraded Version-Standard to 3.9.8
  * removed the versioned-dependency on imagemagick
  * added build-dependencies on uglifyhs, unzip

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 29 Dec 2016 16:51:58 +0100

wims (1:4.13b~dfsg1-1) unstable; urgency=medium

  * upgraded to the new upstream release
  * applied Chris Lamb's patch. Closes: #833399
  * added Adriano Rafael Gomes' po file for language pt_BR. Closes: #816935
  * modified wims.postinst, which hopefully Closes: #817963
  * added a build-dependency on imagemagick|graphicsmagick-imagemagick-compat

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 24 Oct 2016 19:41:15 +0200

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,15 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Georges Khaznadar <georgesk@debian.org>
 Build-Depends: quilt, debhelper (>= 9.0.0), texlive-base, po-debconf, 
- libgd2-xpm-dev|libgd2-noxpm-dev, autoconf2.59|autoconf, automake,
+ libgd2-xpm-dev|libgd2-noxpm-dev, autoconf, automake,
  bison, flex, apache2-dev,
  default-jdk,
  ant,
  libapache2-mod-fcgid, qrencode,
- libwebservice-validator-html-w3c-perl, libwebservice-validator-css-w3c-perl
-Standards-Version: 3.9.6
+ libwebservice-validator-html-w3c-perl, libwebservice-validator-css-w3c-perl,
+ imagemagick|graphicsmagick-imagemagick-compat,
+ uglifyjs, unzip
+Standards-Version: 3.9.8
 
 Package: wims
 Architecture: any
@@ -22,7 +24,8 @@
  texlive-base, texlive-latex-base, texlive-fonts-recommended, 
  mailutils| mailx, units-filter (>=3.5), chemeq (>=2.12), graphviz,
  libjs-prototype, libjs-mootools, libjs-edit-area,
- libjs-jquery, libjs-jquery-metadata, ldap-utils,
+ libjs-jquery, libjs-jquery-metadata, libjs-asciimathml,
+ ldap-utils,
  wims-modules (= ${source:Version})
 Recommends: ${misc:Recommends},
  yacas, gap, wims-help, wims-java-applets (= ${source:Version})

## wims 4.15b~dfsg1

=== debian/changelog ===
wims (1:4.15b~dfsg1-2ubuntu1) bionic; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - debian/control:
      + Build using java on every platform.
    - debian/patches/link-libm.diff:
      + Fix link failures with --as-needed.
      (Seems like ubuntu change as package builds fine in debian).

 -- Bhavani Shankar <bhavi@ubuntu.com>  Fri, 17 Nov 2017 23:57:58 +0530

wims (1:4.15b~dfsg1-2) unstable; urgency=medium

  * fixed the access to files at /var/lib/wims/public_html/scripts/model
    in debian/wims.postinsts. Closes: #881677

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 16 Nov 2017 17:39:29 +0100

wims (1:4.15b~dfsg1-1ubuntu1) bionic; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - debian/control:
      + Build using java on every platform.
    - debian/patches/link-libm.diff:
      + Fix link failures with --as-needed.
      (Seems like ubuntu change as package builds fine in debian).

 -- Bhavani Shankar <bhavi@ubuntu.com>  Fri, 10 Nov 2017 21:52:56 +0530

wims (1:4.15b~dfsg1-1) unstable; urgency=medium

  * New upstream release
  * removed debian/mkSourcePackage
  * ensured that "binary" files are executable under /bin directories
  * changed the build-dependencies, introduced libgd-dev. Closes: #880785
  * upgraded: Standards-Version: 4.1.1, debhelper: 10
  * wrote a few scripts in dfsg-scripts/: jquery.sh.extruder.sh,
    edit_area.sh, what-input.sh, jquery-ui-slider-pips.sh and documented
    their usage in debian/README.source : they are used by the script
    debian/get-latest-source, and also by the Makefile for the target
    install:
  * changed Makefile and debian/get-latest-source to use these scripts
  * removed the build-dependency on unzip, added a build-dependency on
    php (for edit_area's custom JS compressor, called by the script
    edit_area.sh upon installation)
  * made changes in debian/copyright to reflect the new source package
    structure
  * moved debian/source.lintian-overrides to debian/source/lintian-overrides
    and added some overrrides for the third party's package edit_area
  * simplified debian/wims-modules.triggers
  * use now dpkg-buildflags in debian/rules.
  * removed the unused debconf template wims/restart-webserver
  * removed the unused override about .../jm.evers/applets/Pento.jar

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 08 Nov 2017 22:51:02 +0100

wims (1:4.13c~dfsg1-3) unstable; urgency=medium

  * Increased the size of uloadable files.

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 31 Jan 2017 16:48:30 +0100

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,16 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Georges Khaznadar <georgesk@debian.org>
-Build-Depends: quilt, debhelper (>= 9.0.0), texlive-base, po-debconf, 
- libgd2-xpm-dev|libgd2-noxpm-dev, autoconf, automake,
+Build-Depends: quilt, debhelper (>= 10), texlive-base, po-debconf, 
+ libgd-dev, autoconf, automake,
  bison, flex, apache2-dev,
  default-jdk,
  ant,
  libapache2-mod-fcgid, qrencode,
  libwebservice-validator-html-w3c-perl, libwebservice-validator-css-w3c-perl,
  imagemagick|graphicsmagick-imagemagick-compat,
- uglifyjs, unzip
-Standards-Version: 3.9.8
+ uglifyjs, php
+Standards-Version: 4.1.1
 
 Package: wims
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -9,11 +9,14 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
+
 %:
 	dh $@ --with apache2
 
 override_dh_auto_configure:
-	cd wims/src; autoreconf && ./configure --without-units --without-chemeq --without-wimsd CFLAGS="-g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Werror=format-security" CPPFLAGS="-D_FORTIFY_SOURCE=2" CXXFLAGS="-g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Werror=format-security" FFLAGS="-g -O2" LDFLAGS="-Wl,-z,relro"
+	cd wims/src; autoreconf && ./configure --without-units --without-chemeq --without-wimsd
 
 
 DESTDIR=$(CURDIR)/debian/tmp

## wims 4.15d~dfsg1

=== debian/changelog ===
wims (1:4.15d~dfsg1-3build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 17:03:10 +0100

wims (1:4.15d~dfsg1-3) unstable; urgency=medium

  * adopted Graham Inggs' patch; Closes: #913751

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 17 Nov 2018 17:23:41 +0100

wims (1:4.15d~dfsg1-2) UNPUBLISHED; urgency=medium

  * removed the invocation of mathfonts/clean, which was done
    during the clean phase after the file wims/src/makefile was
    rebuilt.
  * removed the patch 10no-static-libs.patch, which is useless;
    as long as there is no file /usr/lib/libm.a, the programs
    will not be linked in static mode.
  * renamed the main Makefile, so it can be part from upstream, without disturbing upstream developers
  * fixed the clean rule

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 01 Jul 2018 21:34:15 +0200

wims (1:4.15d~dfsg1-1) unstable; urgency=medium

  * upgraded to the newest upstream version

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 30 Jun 2018 11:34:58 +0200

wims (1:4.15c~dfsg1-1) unstable; urgency=medium

  * upgraded to the newest upstream version
  * fixed debian/get-latest-version: this script did not previously
    remove the patches applies by quilt.
  * modified the main Makefile to create a missing directory when the
    packages are built in Indep mode. Closes: #901751
  * replaced /var/lib/wims/.../normalize.min.css by a symlink to
    the stylesheet provided by node-normalize.css. Closes: #898794

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 27 Jun 2018 18:37:34 +0200

wims (1:4.15b~dfsg1-11) unstable; urgency=medium

  * added VCS control fields in debain/control, to subscribe
    wims into the debian-science project

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 17 Feb 2018 17:13:27 +0100

wims (1:4.15b~dfsg1-10) unstable; urgency=medium

  * changed php from build-dependency to build-dependency -indep

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 29 Jan 2018 14:59:45 +0100

wims (1:4.15b~dfsg1-9) unstable; urgency=medium

  * moved tex..gif to texGif, made a symlink tex..gif => texGif
  * changed some files from package wims to package wims-modules, so
    they are installed as Indep. As all installs are done by the Makefile
    removed debian/*.install
  * removed uglifyjs and qrencode from build-dependencies; added qrencode
    as a dependency for wims, and uglifyjs as Build-Depends-Indep
  * better separated -arch and -indep parts for the build and install
  * made a circular dependency between wims and wims-modules; removed
    wims-modules.postint so this circular dependency can be broken, moved
    some parts of the erased postinst script to wims.postinst ; removed
    triggers.

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 26 Jan 2018 01:46:59 +0100

wims (1:4.15b~dfsg1-8) unstable; urgency=medium

  * fixed the execution issue with tex..gif

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 23 Jan 2018 20:05:20 +0100

wims (1:4.15b~dfsg1-7) unstable; urgency=medium

  * patched the file edit_area_compressor.php which is obsolete
    after php 5.5.0, to work with php 7
  * fixed a problem with triggers
  * put Java build-dependencies as indep

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 23 Jan 2018 18:03:33 +0100

wims (1:4.15b~dfsg1-6) unstable; urgency=medium

  * modified the main Makefile and debian/rules, to separate
    -arch and -indep targets

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 23 Jan 2018 10:20:39 +0100

wims (1:4.15b~dfsg1-5) unstable; urgency=medium

  * fixed a bug in the script dfsg-scripts/jquery.mb.extruder.sh

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 20 Jan 2018 18:02:17 +0100

wims (1:4.15b~dfsg1-4) unstable; urgency=medium

  * removed any build of javascript files in the main Makefile.

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 19 Jan 2018 15:44:50 +0100

wims (1:4.15b~dfsg1-3) unstable; urgency=medium

  * changed the dependency octave3.0|octave -> octave.
  * upgraded Standards-Version: 4.1.3
  * removed the dependency on libjs-edit-area, since wims installs
    its own js library in /var/lib/wims/public_html/scripts/js/edit_area
  * implemented a d/wims.maintscript to remove the symlink
    /var/lib/wims/public_html/scripts/js/edit_area ->
    /usr/share/javascript/edit-area which was created with earlier versions.
    Added a predependency to ensure that dpkg >= 1.17.14. Closes: #886945

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 12 Jan 2018 18:13:25 +0100

=== debian/control ===
--- 
+++ 
@@ -1,32 +1,30 @@
 Source: wims
 Section: web
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Georges Khaznadar <georgesk@debian.org>
+Maintainer: Georges Khaznadar <georgesk@debian.org>
+Build-Depends-Indep: default-jdk, ant, uglifyjs, php
 Build-Depends: quilt, debhelper (>= 10), texlive-base, po-debconf, 
  libgd-dev, autoconf, automake,
  bison, flex, apache2-dev,
- default-jdk,
- ant,
- libapache2-mod-fcgid, qrencode,
  libwebservice-validator-html-w3c-perl, libwebservice-validator-css-w3c-perl,
- imagemagick|graphicsmagick-imagemagick-compat,
- uglifyjs, php
-Standards-Version: 4.1.1
+ imagemagick|graphicsmagick-imagemagick-compat
+Standards-Version: 4.1.3
+Vcs-Browser: https://salsa.debian.org/science-team/wims.git
+Vcs-Git: https://salsa.debian.org/science-team/wims.git
 
 Package: wims
 Architecture: any
-Pre-Depends: adduser
+Pre-Depends: ${misc:Pre-Depends}, adduser
 Depends: ${shlibs:Depends}, ${misc:Depends}, 
  imagemagick (>= 4:5.4.4.5-1)|graphicsmagick-imagemagick-compat, 
  pari-gp, gnuplot, maxima (>=5.26.0), maxima-share,
- octave3.0|octave, fortunes, cpp,
+ octave, fortunes, cpp,
  texlive-base, texlive-latex-base, texlive-fonts-recommended, 
  mailutils| mailx, units-filter (>=3.5), chemeq (>=2.12), graphviz,
- libjs-prototype, libjs-mootools, libjs-edit-area,
+ libjs-prototype, libjs-mootools, node-normalize.css,
  libjs-jquery, libjs-jquery-metadata, libjs-asciimathml,
- ldap-utils,
- wims-modules (= ${source:Version})
+ ldap-utils, libapache2-mod-fcgid, qrencode,
+ wims-modules (>= ${source:Version})
 Recommends: ${misc:Recommends},
  yacas, gap, wims-help, wims-java-applets (= ${source:Version})
 Replaces: wims-java-applets (<< 4.05b~dfsg1-4)
@@ -61,6 +59,8 @@
 Package: wims-modules
 Architecture: all
 Depends: ${misc:Depends}
+Breaks:  wims (<< 4.15b~dfsg1-9)
+Replaces:  wims (<< 4.15b~dfsg1-9)
 Description: minimal set of modules used by WIMS
  WIMS uses modules to implement every user interface beyond its main page,
  including administrative tasks, help, mathematic tools, libraries, and a
@@ -74,7 +74,7 @@
  system by automated updates. See http://wimsedu.info
 
 Package: wims-java-applets
-Architecture: any
+Architecture: all
 Depends: ${misc:Depends}
 Description: applets for modules used by WIMS
  WIMS uses modules to implement every user interface beyond its main page.

=== debian/rules ===
--- 
+++ 
@@ -15,24 +15,38 @@
 %:
 	dh $@ --with apache2
 
+DESTDIR = $(CURDIR)/debian/tmp
+MAKE    = make -f Makefile.for.debian
+
+override_dh_auto_clean:
+	dh_auto_clean
+	[ ! -f Makefile.for.debian ] || $(MAKE) clean
+
+override_dh_auto_build-indep:
+	$(MAKE) all-indep
+
+override_dh_auto_build-arch:
+	$(MAKE) all-arch
+
 override_dh_auto_configure:
 	cd wims/src; autoreconf && ./configure --without-units --without-chemeq --without-wimsd
+	# those directories seem to be necessary for the build
+	mkdir -p wims/lib
+	mkdir -p wims/tmp/log
 
 
-DESTDIR=$(CURDIR)/debian/tmp
-
-override_dh_auto_install:
-	# for some reason, dh_installdirs does not work as expected !
-	mkdir -p $(DESTDIR)
-	for d in $$(cat debian/*.dirs); do \
-	  if echo $$d | grep -q "#"; then \
-	    true; \
-	  else \
-	    mkdir -p $(DESTDIR)/$$d; \
-	  fi; \
-	done
-	$(MAKE) install DESTDIR=$(DESTDIR)
+override_dh_auto_install-indep:
+	$(MAKE) install-indep DESTDIR=$(DESTDIR)
 	for f in $$(grep -l "deny from all" $$(find $(DESTDIR) -name ".htaccess")); do \
 	  echo "# syntax for Apache2.4" > $$f; \
 	  echo "Require all denied" >> $$f; \
 	done
+
+override_dh_auto_install-arch:
+	$(MAKE) install-arch DESTDIR=$(DESTDIR)
+	for f in $$(grep -l "deny from all" $$(find $(DESTDIR) -name ".htaccess")); do \
+	  echo "# syntax for Apache2.4" > $$f; \
+	  echo "Require all denied" >> $$f; \
+	done
+	# create a directory for wims configuration
+	mkdir -p $(CURDIR)/debian/wims/etc/wims

=== debian/watch ===
version=3
opts=dversionmangle=s/~dfsg\d+$// \
https://sourcesup.renater.fr/frs/?group_id=379 /frs/download.php/file/[0-9]*/wims-([0-9][.0-9]*[a-z]*).tgz \
debian /bin/sh debian/get-latest-source

## wims 4.17b%2Bsvn13454~dfsg1

=== debian/changelog ===
wims (1:4.17b+svn13454~dfsg1-6) unstable; urgency=medium

  * created the line "usr/share/man/man1/flydraw.1.gz" in
    debian/not-installed in order to work around the current bug of debhelper:
    the routine dh_missing warns that usr/share/man/man1/flydraw.1.gz
    is not installed to anywhere, while one can find it under the directory
    debian/flydraw at the end of the build.
    Let us hope that later dh_missing will be fixed, and that it will report
    the false entry in debian/not-installed

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 02 Jan 2021 16:54:11 +0100

wims (1:4.17b+svn13454~dfsg1-5) unstable; urgency=medium

  * added a build-dependency on shtool. Closes: #978922
  * upgraded the build-dependency on debhelper-compat (=13)

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 01 Jan 2021 12:44:10 +0100

wims (1:4.17b+svn13454~dfsg1-4) unstable; urgency=medium

  * patched the file wims/src/Misc/symtext/symtext.h to add external
    declarations, for variables appearing more than once. Closes: #966874
  * updated debhelper -> debhelper-compat (=12), Standards-Version: 4.5.0
  * removed build-dependencies default-jdk, ant since JARs are no longer
    necessary

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 03 Aug 2020 19:02:57 +0200

wims (1:4.17b+svn13454~dfsg1-3) unstable; urgency=medium

  * added a line in d/wims.postinst to create CSS files during the
    configuration.

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 20 Apr 2020 17:29:45 +0200

wims (1:4.17b+svn13454~dfsg1-2) unstable; urgency=medium

  * upgraded java level to 1.8. Build errors are cleared for .jar files.

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 19 Apr 2020 16:48:11 +0200

wims (1:4.17b+svn13454~dfsg1-1) unstable; urgency=medium

  * added $(shell dpkg-buildflags --export=cmdline) to configure's
    call, to auto-reconfigure the package before building it.
  * changes for gcc-10: fixed the compilation problems regarding
    many variables, which were found as multiply declared by gcc-10
    compiler. Most cases could be fixed by using extern clauses.
    Closes: #957934
  * new transition upstream version, dismissing some debian paches
  * updated/removed debian patches
  * moved dependencies from package wims to package wims-modules: now
    wims modules depends on a few libjs-* packages, which Closes: #915015.
  * removed the dependency on mootools, since it is no longer used in wims'
    tree

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 19 Apr 2020 15:10:36 +0200

wims (1:4.17b~dfsg1-1) UNPUBLISHED; urgency=medium

  * new upstream version
  * upgraded dh level to 11, Standards-Version to 4.2.1
  * added lintian overrides for new human-readable scripts with long lines
  * added a new script in dfsg-scripts, for tablesort

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 23 Nov 2018 18:54:20 +0100
